#include <iostream>
#include <vector>
#include <climits>
#include <cmath>

double dist(size_t x1, size_t y1, size_t x2, size_t y2)
{
    return std::sqrt((x1-x2)*(x1-x2) + (y1-y2)*(y1-y2));
}

int main()
{
    size_t number_of_cities, node_cost;
    std::cin >> number_of_cities >> node_cost;
    std::vector<std::pair<size_t, size_t>> cities(number_of_cities);
    for (size_t i = 0; i < number_of_cities; ++i)
    {
        size_t city_x, city_y;
        std::cin >> city_x >> city_y;
        cities.emplace_back(city_x, city_y);
    }

    for (size_t i = 0; i < number_of_cities ; i++)
    {

        size_t n1, n2;
        double min_dist = 1000000000000000000000.0;
        for (size_t j = 0; j < number_of_cities ; j++)
        {
            if (i == j)
                continue;

            double dist_r = dist(cities[i].first, cities[i].second, cities[j].first, cities[j].second);
            if (min_dist > dist_r){
                min_dist = dist_r;
                n2 = n1;
                n1 = j;
            }
        }

        
    }


    return 0;
}
